#!/bin/bash

sudo apt-get -y install python-bzrlib bzr python-netifaces
candidate=$(apt-cache policy python-swiftclient | awk '$1 == "Candidate:" {print $2}')
if [[ $candidate == "(none)" ]]; then
    sudo add-apt-repository -y cloud-archive:folsom
    sudo apt-get update
fi
sudo apt-get -y install python-swiftclient

candidate=$(apt-cache policy python-crypto | awk '$1 == "Candidate:" {print $2}')
if dpkg --compare-versions $candidate lt 2.6; then
    sudo apt-get -y install build-essential python-dev
    wget http://ftp.dlitz.net/pub/dlitz/crypto/pycrypto/pycrypto-2.6.tar.gz
    tar -xzf pycrypto-2.6.tar.gz
    cd pycrypto-2.6
    python setup.py build
    python setup.py build install --user
else
    sudo apt-get -y install python-crypto
fi
